<div ng-cloak>
    <md-content>
        <md-tabs md-dynamic-height md-border-bottom>
            <md-tab label="table view">
                <md-content class="md-padding">
                    <!-- <h1 class="md-display-2">table view</h1> -->
                    <table class="table">
                        <thead>
                            <tr>
                                <th borer=1> NAME</th>
                                <th> PHONE</th>
                                <th> EMAIL</th>
                                <th> ADDRESS</th>
                                <th> STATE</th>
                                <th> CITY</th>
                                <!-- <th> PINCODE</th> -->
                                <th> Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr ng-repeat="(m,x) in users | filter:{ user_name: search.user_name }">
                                <td>{{x.user_name}}</td>
                                <td>{{x.user_mobile}}</td>
                                <td>{{x.user_email}}</td>
                                <td>{{x.user_city}}</td>
                                <td>{{x.user_state}}</td>
                                <td>{{x.user_username}}</td>
                                <!-- <td>{{x.pincode}}</td> -->

                                <td>
                                    <md-button class="md-raised"
                                        ng-href="http://localhost:3000/#!/user?user_id={{x.user_id}}">
                                        <md-tooltip md-direction="buttom">Edit</md-tooltip>
                                        <i class="ri-pencil-line"></i>
                                    </md-button>


                                    <!-- <md-button class="md-raised">Button</md-button> -->
                                    <!-- <button ng-click="edit_user(x)">Edit</button>
                            <button ng-click="delete_user(x)">Delete</button> -->
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </md-content>
            </md-tab>
            <md-tab label="Grid card view">
                <md-content class="md-padding">
                    <div class="row">
                        <div class="col-md-3"
                            ng-repeat="(m,x) in users | filter:{ user_name: search.user_name }">
                            <div class="card">
                                <img class="card-img-top" src="https://via.placeholder.com/150x100?text=Tork"
                                    alt="Card image cap">
                                <div class="card-body">
                                    <h5 class="card-title">{{x.user_name}}</h5>
                                    <p class="card-text">Mobile no: {{x.user_mobile}}.
                                        <br /> Email:-{{x.user_email}}
                                        <br />Address:{{}}
                                        <br />state:-{{x.user_state}}
                                        city:-{{x.user_city}}
                                    </p>
                                    <a href="#" class="btn btn-primary">Go somewhere</a>
                                </div>
                            </div>
                        </div>
                    </div>

                </md-content>
            </md-tab>
            <md-tab label="Card list view">
                <md-content class="md-padding">

                    <div
                        ng-repeat="(m,x) in users | filter:{ user_name: search.user_name } | filter:{user_mobile:search.user_mobile}">
                        <div class="row">
                            <div class="col-md-2 col-md-2">
                                <img class="card-img-top" src="https://via.placeholder.com/80x80?text=Tork"
                                    alt="Card image cap">
                            </div>
                            <div class="col-md-9">
                                <div class="card-body">
                                    <h5 class="card-title">{{x.user_name}}</h5>
                                    <p class="card-text">Mobile no: {{x.user_mobile}}.
                                        <br /> Email:-{{x.user_email}}
                                        <br />Address:{{}}
                                        <br />state:-{{x.user_state}}
                                        city:-{{x.user_city}}
                                    </p>
                                    <!-- <a href="#" class="btn btn-primary">Go somewhere</a> -->
                                </div>
                            </div>
                        </div>
                        <br />
                    </div>
                </md-content>
            </md-tab>
        </md-tabs>
    </md-content>
</div>